//
//  {{ module_info.name }}{{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

import UIKit


protocol {{ module_info.name }}ViewInputProtocol: class {

    /**
        @author {{ developer.name }}
        Setup initial state of the view
    */

    func setupInitialState()
}

protocol {{ module_info.name }}ViewOutputProtocol {

    /**
        @author {{ developer.name }}
        Notify presenter that view is ready
    */

}

class {{ module_info.name }}ViewController: BaseViewController, {{module_info.name}}ViewInputProtocol {

    var output: {{ module_info.name }}ViewOutputProtocol!

    // MARK: Life cycle
    override func viewDidLoad() {
        super.viewDidLoad()
    }


    // MARK: {{module_info.name}}ViewInputProtocol
    func setupInitialState() {
    }
}
